instproxy_archive
instproxy_browse
instproxy_browse_with_callback
instproxy_check_capabilities_match
instproxy_client_free
instproxy_client_get_path_for_bundle_identifier
instproxy_client_new
instproxy_client_options_add
instproxy_client_options_free
instproxy_client_options_new
instproxy_client_options_set_return_attributes
instproxy_client_start_service
instproxy_client_t
instproxy_command_get_name
instproxy_error_t
instproxy_install
instproxy_lookup
instproxy_lookup_archives
instproxy_remove_archive
instproxy_restore
INSTPROXY_SERVICE_NAME
instproxy_status_cb_t
instproxy_status_get_current_list
instproxy_status_get_error
instproxy_status_get_name
instproxy_status_get_percent_complete
instproxy_uninstall
instproxy_upgrade

## instproxy_browse_with_callback()

LIBIMOBILEDEVICE_API instproxy_error_t instproxy_browse_with_callback | ( | instproxy_client_t | client,
|  | plist_t | client_options,
|  | instproxy_status_cb_t | status_cb,
|  | void * | user_data )

List pages of installed applications in a callback.

Parameters

  client | The connected installation_proxy client
  client_options | The client options to use, as PLIST_DICT, or NULL. Valid client options include: "ApplicationType" -> "System" "ApplicationType" -> "User" "ApplicationType" -> "Internal" "ApplicationType" -> "Any"
  status_cb | Callback function to process each page of application information. Passing a callback is required.
  user_data | Callback data passed to status_cb.

Returns
  INSTPROXY_E_SUCCESS on success or an INSTPROXY_E_* error value if an error occurred.